Proxy Server with mod_security missing mod_proxy.so (and perhaps others)



  • I'm running 2.0-BETA5 (amd64) built on Wed Jan 26 06:55:47 EST 2011

    I've installed the package "Proxy Server with mod_security" but I get the following error in the system log.

    Jan 27 13:54:56	check_reload_status: syncing firewall
    Jan 27 18:54:58	php: /pkg_edit.php: The command '/usr/local/sbin/httpd -t' returned exit code '1', the output was
                      'httpd: Syntax error on line 94 of /usr/local/etc/apache22/httpd.conf: Cannot load 
                      /usr/local/libexec/apache22/mod_proxy.so into server: Cannot open "/usr/local/libexec/apache22/mod_proxy.so"'
    Jan 27 18:54:58	php: /pkg_edit.php: apache_mod_security_package: There was an error parsing the Apache configuration: 1
    

    /usr/local/libexec/apache22 doesn't contain any of the mod_proxy files listed in /usr/local/etc/apachce22/httpd.conf

    It looks like some files are simply missing.  They are however present in 1.2.3 so perhaps this is just an oversight.

    Anything I can try?


Locked